/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich, Thomas
 Remarks:
 known Problems: none
 Version:        30.03.2009
 Description:    Html Seiten

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der
 GNU General Public License, wie von der Free Software Foundation verffentlicht,
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder
 (nach Ihrer Option) jeder spteren Version.

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung,
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 Programm erhalten haben.
 Falls nicht, schreiben Sie an die Free Software Foundation,
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
------------------------------------------------------------------------------*/
#ifndef _WEBPAGE_H
	#define _WEBPAGE_H

//****************************************************************************
//Dateien und Webseiten am ende dieser Seite in Tabelle eintragen !!!!!!!
//****************************************************************************

//----------------------------------------------------------------------------
//Dazustellende Webseite

PROGMEM char Page1[] = {
	"<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">\r\n"
	"<html>\r\n"
	"<head>\r\n"
	"<title>Froeling Prozessdaten</title>\r\n"
	"<link rel=\"stylesheet\" type=\"text/css\"  href=\"styles.css\">"
	"<meta name=\"author\" content=\"coach\">\r\n"
	"<meta http-equiv=\"refresh\" content=\"10; url=./index.html\">\r\n"
	"</head>\r\n"
	"<body text=\"#000000\" bgcolor=\"#FFFFFF\" link=\"#FF0000\" alink=\"#FF0000\" vlink=\"#FF0000\">\r\n"
	"<div align=\"center\">\r\n"
	"<img src=\"logo.gif\" alt=\"\">"
	"<h2>P3100 Prozessdaten</h2>\r\n"
	"Heizung: VT@00.VT@01.VT@02 - VT@03:VT@04:VT@05 Uhr<br>\r\n"
	"<table width=\"250\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"#BCD9F0\" border=\"0\">\r\n"
	" <tr>\r\n"
	"  <td>undef</td>\r\n"
	"  <td>VA@00</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>undef</td>\r\n"
	"  <td>VA@01</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Zustand</td>\r\n"
	"  <td>VA@02</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Rost</td>\r\n"
	"  <td>VA@03</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Kesseltemperatur</td>\r\n"
	"  <td>VA@04 C</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Abastemperatur</td>\r\n"
	"  <td>VA@05 C</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Abgastemp. SW</td>\r\n"
	"  <td>VA@06 C</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Kessel Strllgroesse</td>\r\n"
	"  <td>VA@07 %</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Saugzug</td>\r\n"
	"  <td>VA@08 %</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Zuluftgeblaese</td>\r\n"
	"  <td>VA@09 %</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Einschub</td>\r\n"
	"  <td>VA@10 %</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Feullstand</td>\r\n"
	"  <td>VA@11 %</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Feuerraumtemperatur</td>\r\n"
	"  <td>VA@12 C</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Boilertemperatur</td>\r\n"
	"  <td>VA@13 C</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Aussentemperatur</td>\r\n"
	"  <td>VA@14 C</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Vorlauftemperatur 1 SW</td>\r\n"
	"  <td>VA@15 C</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Vorlauftemperatur 1</td>\r\n"
	"  <td>VA@16 C</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>KTY6 H2</td>\r\n"
	"  <td>VA@17</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>KTY7 H2</td>\r\n"
	"  <td>VA@18</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Brennerstarts</td>\r\n"
	"  <td>VA@19</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Laufzeit</td>\r\n"
	"  <td>VA@20 Std.</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Boardtemperatur</td>\r\n"
	"  <td>VA@21 C</td>\r\n"
	" </tr>\r\n"
	" <tr>\r\n"
	"  <td>Kesseltemperatur Sollwert</td>\r\n"
	"  <td>VA@22 C</td>\r\n"
	" </tr>\r\n"
	"</table><br><br>\r\n"
	"Build: BUILD<br>\r\n"
	"Compiliert am "__DATE__" um " __TIME__"<br>\r\n"
	"Compiliert mit GCC Version "__VERSION__"<br>\r\n"
	"Markus Kotschenreuther<br>\r\n"
	"</div>\r\n"
	"\r\n"
	"</body>\r\n"
	"</html>\r\n"
	"END"};

//----------------------------------------------------------------------------
// CSS Styles
PROGMEM char Page2[] = {
	"body{margin: 40px;} "
	"body,p,div,h1,h2,td,th{font-family:sans-serif;font-size:11px}"
	"h1{font-size:20px;color:white; background-color:#96B11C;margin:1px;padding:5px;text-align:center;}"
	"h2{font-size:18px;color:#96B11C}"
	"p,h2{margin:0px0px5px0px}"
	"img{border:0}"
	"hr{color:silver; background-color:silver;border:0;height:1px}"
	"#nav{font-size: 16px; background-color:silver;margin:1px;padding:5px;font-weight:bold}"
	"#nav a, #tail a{color:white; padding:10px;text-decoration:none}"
	"#nav a:hover,#tail a:hover{text-decoration:underline}"
	"#tail{ color:white; background-color:silver;text-align:center;padding:5px}"
	"#main{text-align:center;margin:20px}"
	".clear{clear:left}"
	".tempTbl {table-layout:auto;border-spacing:0}"
	".tempTbl td{text-align:center;padding:7px}"
	".tempTbl th{background-color:silver}"
	"END"};

//----------------------------------------------------------------------------
//Das GIF Bild fr die Rakete
PROGMEM char bild_logo[] =
	{
		0x47,0x49,0x46,0x38,0x37,0x61,0x7C,0x00,0x1F,0x00,0xA5,0x00,0x00,0xFF,0xFF,0xFF,
		0xFD,0xFC,0xFC,0xF9,0xEB,0xE9,0xF5,0xD1,0xCC,0xF4,0xC9,0xC3,0xF7,0xE1,0xDE,0xFB,
		0xF4,0xF3,0xEB,0x94,0x88,0xE2,0x61,0x51,0xDE,0x46,0x36,0xDD,0x3B,0x31,0xE0,0x50,
		0x41,0xE9,0x85,0x79,0xF0,0xB4,0xAE,0x9F,0x9F,0x9F,0xCD,0xCD,0xCE,0x7F,0x7F,0x7F,
		0xAE,0xAE,0xAF,0xED,0xED,0xED,0x8F,0x8F,0x8F,0xDD,0xDD,0xDE,0xBF,0xBF,0xC0,0x6D,
		0x6E,0x6F,0xE7,0x77,0x69,0xDC,0x35,0x2B,0xDB,0x2F,0x26,0xF0,0xB8,0xB1,0x22,0x23,
		0x25,0x05,0x05,0x07,0x4F,0x50,0x51,0x60,0x60,0x61,0x3F,0x3F,0x3F,0x2E,0x2F,0x2F,
		0xEF,0xAA,0xA1,0xF2,0xBC,0xB5,0xE1,0x59,0x49,0x82,0x83,0x84,0xF5,0xF5,0xF5,0x79,
		0x7A,0x7B,0x86,0x87,0x88,0xA6,0xA7,0xA7,0xB5,0xB6,0xB7,0xB3,0xB4,0xB5,0xF9,0xF8,
		0xF8,0x71,0x72,0x73,0xEF,0xAF,0xA6,0xAF,0xB0,0xB1,0x18,0x19,0x1B,0x99,0x9A,0x9B,
		0xF2,0xC2,0xBC,0xE4,0x69,0x5A,0x32,0x33,0x35,0x46,0x47,0x49,0x58,0x59,0x5A,0x37,
		0x38,0x3A,0x9C,0x9E,0x9F,0x41,0x42,0x44,0xBC,0xBC,0xBD,0x68,0x69,0x6A,0xED,0xA1,
		0x96,0xF0,0xB2,0xA9,0xB7,0xB8,0xB9,0xF5,0xD8,0xD4,0x00,0x00,0x00,0x2C,0x00,0x00,
		0x00,0x00,0x7C,0x00,0x1F,0x00,0x00,0x06,0xFE,0x40,0x80,0x70,0x48,0x2C,0x1A,0x8F,
		0xC8,0xA4,0x72,0xC9,0x6C,0x3A,0x9F,0xD0,0xA8,0x74,0x4A,0xAD,0x5A,0xAF,0xD8,0xAC,
		0x56,0xB8,0x2A,0xF8,0x0A,0x05,0xC3,0x76,0x4C,0x2E,0x03,0x02,0x31,0x06,0x62,0x34,
		0x92,0x5D,0x18,0x3B,0x82,0xD8,0x4C,0xAF,0x3B,0x09,0x32,0x85,0x22,0xD1,0xBE,0xBC,
		0x19,0x0C,0x07,0x03,0x01,0x76,0x85,0x86,0x43,0x21,0x0A,0x19,0x09,0x0B,0x7D,0x81,
		0x07,0x3B,0x3B,0x07,0x07,0x0D,0x73,0x87,0x97,0x64,0x07,0x18,0x18,0x7B,0x0B,0x08,
		0x6F,0x90,0x21,0x2D,0x3C,0x2D,0x21,0x07,0x2D,0x2B,0x98,0xAA,0x59,0x2D,0x19,0x7A,
		0x8C,0x7D,0x90,0x2D,0x22,0x31,0x04,0x31,0x1A,0xA6,0x3C,0xAB,0x4A,0x14,0x35,0x2C,
		0xBD,0x16,0x25,0xBB,0x43,0x05,0x0B,0x9C,0x9D,0x9F,0x81,0x21,0x1A,0x04,0x3E,0x3E,
		0x03,0x04,0x1A,0x3B,0x0C,0x03,0xC3,0x47,0x14,0x20,0x1D,0x0F,0x20,0x34,0xC2,0xD6,
		0x0C,0xAE,0xAF,0x9E,0x6F,0x3B,0x2D,0x31,0x3E,0x02,0x06,0x05,0x03,0x22,0xA6,0x07,
		0x96,0x56,0x12,0x2A,0xF3,0xF4,0x2A,0x39,0x00,0x14,0x11,0xF5,0xF3,0x15,0xDE,0xF8,
		0x29,0x0E,0x6E,0xA0,0x10,0x58,0x41,0x82,0x90,0x07,0x11,0x2A,0x10,0x22,0x42,0xC1,
		0x45,0x8F,0x00,0xF2,0xF8,0x2D,0x04,0x80,0xF0,0x81,0x90,0x12,0x15,0x22,0xA0,0xD8,
		0x88,0x22,0x05,0x85,0x22,0x02,0x8C,0xE9,0x41,0x46,0xCE,0x1C,0xBA,0x15,0x02,0xD8,
		0x99,0xBA,0x40,0x20,0x8B,0x0A,0x0E,0x30,0x63,0x72,0xD8,0x00,0x80,0x04,0x87,0x17,
		0x32,0x61,0x76,0x30,0x08,0x63,0x03,0xFE,0x4E,0x99,0x2F,0x40,0xF4,0x00,0xA0,0x83,
		0xC3,0x0C,0x7F,0x42,0x60,0xDC,0x2C,0xF1,0xE0,0xE7,0x0B,0x14,0x43,0x2C,0x70,0xE8,
		0x80,0xEF,0xC3,0x4F,0x99,0x1B,0xEE,0x0D,0x11,0x71,0x4C,0x5C,0xB2,0x03,0x21,0x44,
		0x0C,0x00,0xE3,0x23,0xDA,0xCA,0x03,0x2E,0x6F,0xD6,0xD0,0xE1,0xA1,0xAD,0x89,0x9A,
		0x37,0x3B,0xD4,0x98,0x8B,0x03,0x67,0x85,0x15,0x1B,0xE2,0xB6,0xF5,0x40,0x03,0x27,
		0x55,0xA9,0x47,0x8B,0x28,0xDD,0xC0,0xF4,0x85,0xE1,0x9B,0x16,0x01,0x48,0xAD,0x41,
		0x54,0x2D,0x04,0x12,0x27,0x58,0xE4,0xD5,0x41,0x04,0xDC,0xC8,0x4E,0x6D,0x02,0xED,
		0xE0,0x51,0x0B,0x9A,0x88,0x16,0x92,0xFC,0xA4,0xBA,0xF2,0x72,0x83,0xC1,0x22,0x36,
		0x41,0x9C,0x06,0x20,0x21,0x6F,0x0E,0x0A,0x38,0x2D,0x14,0xA9,0xC1,0xC1,0x86,0xE2,
		0xDA,0xA3,0x87,0xDC,0x98,0x59,0xF8,0xC5,0x09,0x10,0xB5,0x0D,0x2E,0x06,0xD0,0x81,
		0x03,0x8E,0xDC,0x00,0x2A,0x38,0xA8,0x40,0x44,0x46,0xB8,0x91,0x7C,0xDC,0x68,0x6E,
		0xD1,0x40,0x43,0x03,0xD0,0x07,0x18,0x5C,0x90,0x21,0x00,0x8B,0x0A,0xC3,0x1F,0x70,
		0x7C,0xF8,0x60,0x03,0x02,0xDC,0x0D,0x30,0x50,0x38,0x40,0x71,0xE2,0xC5,0x06,0x0A,
		0xB0,0x39,0x4C,0x28,0x62,0xA2,0xF6,0x6D,0x1B,0xC8,0x01,0xEC,0x26,0xDC,0x94,0x43,
		0x8E,0xFE,0x8C,0xB1,0xC0,0x01,0x63,0xC5,0x79,0x20,0x84,0x0E,0x1B,0xCC,0x80,0x03,
		0x0E,0xE6,0x09,0x11,0x80,0x0C,0x5D,0x89,0xE3,0x08,0x24,0x91,0x44,0x92,0xDD,0x76,
		0x23,0xB4,0x44,0x9A,0x61,0x33,0xFE,0xD8,0xE0,0x21,0x08,0x6F,0xD9,0x74,0x15,0x4C,
		0x2F,0xB0,0x80,0x0F,0x4E,0x24,0x14,0x21,0x95,0x6D,0x2B,0xE6,0xB7,0x5F,0x61,0x1C,
		0xA8,0xA0,0x1F,0x4C,0x24,0x08,0x48,0xE0,0x54,0x42,0x38,0x60,0x02,0x04,0xC0,0x51,
		0x35,0x84,0x73,0x97,0x79,0x25,0xDD,0x23,0xD9,0x69,0x27,0xC3,0x08,0x0B,0x54,0x43,
		0xDA,0x4C,0x1F,0xAD,0xE0,0x24,0x21,0x36,0x6D,0x30,0x01,0x0C,0x54,0x7A,0x70,0x13,
		0x05,0x12,0xE0,0x34,0xC3,0x04,0x5C,0x4E,0x70,0x42,0x5E,0x34,0xDC,0xB6,0x81,0x09,
		0x24,0x40,0x00,0x81,0x09,0x14,0xA0,0xC0,0x5B,0x7F,0x32,0x02,0x20,0xA0,0x7B,0x03,
		0x02,0x60,0xA5,0x6F,0x28,0xB8,0xA0,0x02,0x0A,0x33,0xC4,0x39,0x84,0x65,0x41,0x26,
		0xC0,0x08,0x02,0x6E,0xF8,0x21,0xA8,0x0C,0x47,0x36,0x02,0x0F,0x15,0x2E,0xDC,0xB4,
		0xDA,0x10,0xF5,0x99,0x36,0xC4,0x03,0x30,0xA5,0x20,0x67,0x4E,0x32,0xC1,0x30,0x29,
		0xA5,0x1B,0x2D,0x05,0x29,0x07,0x2E,0x70,0x51,0x9C,0x4E,0xC9,0x8D,0x28,0xD3,0x09,
		0x44,0xC4,0x10,0x21,0x74,0xB0,0x20,0x00,0x28,0xA1,0xAA,0x22,0xA9,0xC0,0x05,0x52,
		0x28,0xE7,0x00,0x43,0x24,0x4C,0x80,0x94,0x10,0x15,0x98,0x60,0xEB,0x10,0x12,0x9C,
		0x40,0xC2,0x47,0x25,0xA0,0x60,0x82,0x05,0xC4,0x12,0x0B,0x41,0x0A,0x84,0xA8,0x00,
		0xC1,0x09,0xCC,0x32,0x4B,0xC2,0x03,0x0F,0x40,0x30,0xC1,0x0A,0x14,0xF8,0xFA,0x91,
		0x10,0x14,0x40,0x46,0x02,0x54,0xC9,0x45,0x56,0x2C,0x0B,0x26,0x38,0x80,0x54,0x48,
		0xA7,0xA2,0xBA,0x40,0x23,0xFE,0x6C,0x9C,0xEB,0x27,0x06,0x2D,0x24,0x61,0x1E,0x05,
		0xB3,0x3A,0x70,0x2D,0x05,0x1D,0x44,0x30,0x84,0x03,0x10,0x38,0xB0,0x1A,0x04,0x06,
		0x4D,0x70,0x2D,0xBE,0xF9,0x1E,0x21,0x01,0xBF,0xF7,0xE6,0xF8,0x28,0x97,0xD7,0x32,
		0xC4,0x1C,0x05,0xCC,0xE1,0x1A,0x30,0xB6,0x0D,0xE7,0x68,0x66,0x83,0x43,0x1C,0xF0,
		0x5C,0x90,0xAF,0xF8,0xA9,0x71,0x02,0x0A,0x60,0x30,0x42,0x77,0x48,0x74,0x50,0x01,
		0x04,0x34,0x39,0x9A,0x1C,0x07,0x14,0x7F,0xE0,0x41,0x07,0x06,0x0A,0xC1,0x81,0x03,
		0x90,0x36,0xAC,0xF2,0xC3,0x45,0x38,0xF0,0xF2,0x10,0x1F,0x08,0x91,0x33,0x6B,0x1B,
		0x38,0x60,0xC1,0xAC,0x45,0x8C,0x9C,0x5C,0x83,0x15,0x48,0xF9,0x81,0x6C,0x43,0x13,
		0x81,0xEF,0x07,0x20,0x80,0x34,0x42,0xB9,0x18,0x07,0x99,0x81,0x06,0x4A,0x4C,0x00,
		0x01,0xD3,0x15,0x34,0x2D,0x84,0x07,0x24,0xE3,0x1C,0x01,0x04,0x2D,0x03,0x00,0x02,
		0x08,0x1E,0x7C,0x20,0x33,0xD7,0x40,0x17,0x01,0xC2,0x04,0x3E,0x02,0xB0,0xF3,0xCE,
		0x12,0xA0,0x9C,0x58,0xD0,0x1F,0x80,0xDD,0xA0,0x07,0xF3,0x51,0xC0,0x81,0xC3,0x45,
		0x3C,0xB0,0xC1,0xDC,0x5B,0x6D,0x12,0xF5,0xE0,0x19,0x5C,0x30,0xD1,0x11,0x0F,0x30,
		0x7D,0x35,0xD2,0x71,0x43,0xC0,0x81,0xCC,0xC0,0x25,0xAC,0x72,0xDD,0x32,0x4F,0x50,
		0x01,0xE0,0xD8,0xA2,0xCC,0xC1,0xB5,0x3B,0x6B,0x8D,0xCF,0xD5,0x14,0x0F,0x51,0x81,
		0x07,0x15,0x58,0xBD,0xF5,0xAC,0x7A,0xF3,0xCD,0x2B,0x08,0x11,0x17,0x11,0x82,0xE0,
		0x83,0x5F,0x56,0xF8,0xA9,0xA1,0x47,0x6C,0x60,0x01,0xA4,0xF6,0x02,0xE0,0x80,0xC8,
		0x60,0xEB,0xAC,0x9C,0x6A,0x3A,0x4B,0x40,0x01,0x04,0x95,0x5F,0x6E,0x04,0x04,0x16,
		0x8C,0x3E,0x1F,0x71,0x13,0x44,0x40,0x13,0x45,0xC4,0x5B,0x10,0xB6,0xE8,0xE6,0x09,
		0xAD,0x3B,0x08,0x11,0xB0,0x8C,0x2B,0xE9,0x67,0x57,0xD0,0x3A,0x11,0x0D,0x24,0x70,
		0x31,0xC6,0x9B,0x30,0x40,0xFB,0x11,0x30,0x03,0x40,0x71,0x04,0x16,0x49,0xB0,0xBC,
		0xBC,0x00,0x58,0x6E,0x70,0x72,0xFF,0x9A,0x99,0xF6,0xBD,0x1F,0xC1,0x8B,0x2D,0xF2,
		0x89,0xB9,0x2F,0xED,0xA2,0x10,0xC3,0x47,0xC4,0x7C,0x36,0x81,0xD3,0x0C,0xCF,0x4C,
		0x42,0x98,0x58,0xE8,0x8A,0x50,0x80,0x0B,0x60,0x20,0x03,0xB0,0xEB,0x58,0x06,0x32,
		0xB0,0x00,0xAA,0x59,0xE3,0x82,0x55,0x08,0xC0,0x00,0x0E,0x80,0x00,0x8E,0xE9,0x61,
		0x01,0x0C,0x68,0x00,0xC8,0x30,0x48,0x42,0x2A,0x04,0x20,0x25,0x04,0x08,0x43,0x09,
		0x57,0xC8,0xC2,0x16,0xBA,0xF0,0x85,0x30,0x8C,0xA1,0x0C,0x57,0x11,0x04,0x00,0x3B,
		0x00,   '','E','N','D'};

//Nur Dateiname und Pointer eintragen
WEBPAGE_ITEM WEBPAGE_TABLE[] = // Befehls-Tabelle
{
	{"index.htm",Page1},
	{"styles.css",Page2},
	{"logo.gif",bild_logo},
	{NULL,NULL}
};

#endif //_WEBPAGE_H,0x00
